{smcl}
{title:Structural equation modeling using {help gllamm}, {help confa} and {help gmm}}


{title:NHANES example}

{phang}{stata use nhanes-adl-irt-bmx.dta, clear}

{phang}{stata describe}


{title:Estimation with confa}

{phang}{help confa:help file}

{phang}{stata estimates use cfa}

{phang}{stata confa}

{phang}{stata do cfa_eres.do:get all other estimates in}

{phang}{stata estimates table cfa*, se stats(N lr_u)}



{title:Estimation with gllamm}

{phang}{help gllamm:help file}

{phang}{stata doedit nhanes-adl-gllamm.do:do-file}

{phang}{stata estimates use mimic_bmi}

{phang}{stata gllamm}



{title:Estimation with gmm}

{phang}{help gmm:help file}

{phang}{stata doedit nhanes-sem-def-reduced.do:do-file with definitions}

{phang}{stata doedit nhanes-gmm-est-reduced.do:do-file with estimations}

{phang}{stata do gmm_eres.do:get the estimates in}

{phang}{stata estimates table r_*, se stats(J)}




{title:Author}

{phang}Stas Kolenikov, skolenik at gmail.com
